#!/bin/sh

cat <<EOF
/***en @page m17nDBData Data provided by the m17n database

The m17n database provides the following data. */

/***ja @page m17nDBMIM M17N ǡ١󶡤ǡ

M17N ǡ١ϰʲΥǡ󶡤롣 */

/***
<ul>
<li> @ref mim-list
<li> @ref flt-list
<li> @ref charprop-list
<li> @ref misc-list
</ul>
*/

/***en @section mim-list Input method

List of input methods provided by the m17n databasse and their brief
descriptions.  */

/***ja @section mim-list ϥ᥽å

M17N ǡ١󶡤ϥ᥽åɤΥꥹȤȤ줾δñ */

/***
<ul>
EOF

for file in $1/*.mim; do
  sed -n '/^;; <li>/,/^$/ s/^;; *//p' < $file
  echo
done

cat <<EOF
</ul>
*/

/***en @section flt-list Font Layout Table

List of Font Layout Tables (FLTs) provided by the m17n databasse and
their brief descriptions.  */

/***ja @section flt-list եȡ쥤ȡơ֥

M17N ǡ١󶡤եȡ쥤ȡơ֥ (FLT) Υꥹ
ȤȤ줾δñ */

/***
<ul>
EOF

for file in $1/*.flt; do
  sed -n '/^;; <li>/,/^$/ s/^;; *//p' < $file
  echo
done

cat <<EOF
</ul>
*/

/***en @section charprop-list Character Property

List of character properties provided by the m17n databasse and their
brief descriptions.  */

/***ja @section charprop-list ʸץѥƥ

M17N ǡ١󶡤ʸץѥƥΥꥹȤȤ줾δñ */

/***
<ul>
EOF

for file in $1/*.tab; do
  sed -n '/^# <li>/,/^$/ s/^# *//p' < $file
  echo
done

cat <<EOF
</ul>
*/

/***en @section misc-list The other data

List of the other data provided by the m17n databasse and their brief
descriptions.  */

/***ja @section misc-list ¾Υǡ

M17N ǡ١󶡤뤽¾ΥǡȤ줾δñ */

/***
<ul>
EOF

for file in $1/*.tbl; do
  sed -n '/^;; <li>/,/^$/ s/^;; *//p' < $file
  echo
done

cat <<EOF
</ul>
*/
EOF

# Local Variables:
# coding: euc-jp
# End:



